Name:           kyua
Version:        0.13
Release:        3
Summary:        A lightweight and simple testing framework for infrastructure software
License:        BSD
URL:            https://github.com/jmmv/kyua
Source0:        https://github.com/jmmv/kyua/releases/download/kyua-0.13/kyua-0.13.tar.gz
BuildRequires:  make gcc-c++ libatf-c++-devel >= 0.17 libatf-sh-devel >= 0.15
BuildRequires:  pkgconfig(lutok) >= 0.4 pkgconfig(sqlite3) >= 3.6.22
Obsoletes:      kyua-cli < 0.10 kyua-testers < 0.10 kyua-testers-devel < 0.10
Provides:       kyua-cli = %{version}-%{release}

%description
Kyua is a testing framework for infrastructure software.
It is lightweight and simple, and that Kyua integrates well with various build systems
and continuous integration frameworks.
Kyua features an expressive test suite definition language, a safe runtime engine for test
suites and a powerful report generation engine.
Kyua is for both developers and users, from the developer applying a simple fix to a library
to the system administrator deploying a new release on a production machine.
Kyua is able to execute test programs written with a plethora of testing libraries and languages.
The library of choice is ATF, for which Kyua was originally designed, but simple, framework-less
test programs and TAP-compliant test programs can also be executed through Kyua.

%package        help
Summary:        Help document for Kyua

%description    help
Help document for Kyua.

%package        tests
Summary:        Tests for the Kyua toolchain
Requires:       kyua = %{version}-%{release}
Obsoletes:      kyua-cli-tests < 0.10 kyua-testers-tests < 0.10

%description    tests
Tests for the Kyua toolchain.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure  --with-doxygen=no --with-with-atf=yes
%make_build pkgtestsdir=%{_libexecdir}/kyua/tests testsdir=%{_libexecdir}/kyua/tests

%install
%make_install pkgtestsdir=%{_libexecdir}/kyua/tests testsdir=%{_libexecdir}/kyua/tests doc_DATA=

%check
HOME=$(pwd)/check %make_build check %{_make_args} || :

%files
%license LICENSE
%{_bindir}/kyua
%{_datadir}/kyua/

%files help
%doc AUTHORS CONTRIBUTORS NEWS.md README.md
%{_mandir}/man1/kyua*.1*
%{_mandir}/man5/kyua*.5*

%files tests
%{_libexecdir}/kyua/

%changelog
* Tue Dec 31 2019 shijian <shijian16@huawei.com> - 0.13-3
- Package init
